---
title: "Preview an existing number's incoming call routing"
description: "Verifies live Twilio ownership and voice capability and checks the assistant through the existing workspace Voice Config connection. Makes no provider changes."
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Voice AI

`GET /api/voice-workspace-numbers/{sid}/preview`

Verifies live Twilio ownership and voice capability and checks the assistant through the existing workspace Voice Config connection. Makes no provider changes.

## Authentication

- `BearerAuth`, http, header `Authorization`, format `JWT`

## Path parameters

- `sid` (`get/api/voice-workspace-numbers/sid/preview.path.sid`; string, required)

## Query parameters

- `assistantId` (`get/api/voice-workspace-numbers/sid/preview.query.assistantId`; string, required)
  - format `uuid`

## Header parameters

- `x-workspace-id` (`get/api/voice-workspace-numbers/sid/preview.header.x-workspace-id`; string, required)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.channelautomation.com/api/voice-workspace-numbers/<sid>/preview?assistantId=497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  --header 'Authorization: Bearer <token>' \
  --header 'x-workspace-id: string'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/voice-workspace-numbers/<sid>/preview?assistantId=497f6eca-6276-4993-bfeb-53cbbbba6f08';
const options = {
  method: 'GET',
  headers: {'x-workspace-id': 'string', Authorization: 'Bearer <token>'}
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/voice-workspace-numbers/<sid>/preview?assistantId=497f6eca-6276-4993-bfeb-53cbbbba6f08"

headers = {
    "x-workspace-id": "string",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Current answering destination and version to confirm

#### Example

```json
{
  "success": true,
  "preview": {
    "phoneNumber": "string",
    "voiceDestination": "string",
    "routingVersion": "string",
    "assignedAssistantId": "string",
    "alreadyImported": true
  }
}
```

- `success` (`get/api/voice-workspace-numbers/sid/preview.response.200.success`; boolean, optional)
- `preview` (`get/api/voice-workspace-numbers/sid/preview.response.200.preview`; object, optional)
  - `phoneNumber` (`get/api/voice-workspace-numbers/sid/preview.response.200.preview.phoneNumber`; string, optional)
  - `voiceDestination` (`get/api/voice-workspace-numbers/sid/preview.response.200.preview.voiceDestination`; string, optional)
  - `routingVersion` (`get/api/voice-workspace-numbers/sid/preview.response.200.preview.routingVersion`; string, optional)
  - `assignedAssistantId` (`get/api/voice-workspace-numbers/sid/preview.response.200.preview.assignedAssistantId`; string, optional, nullable)
  - `alreadyImported` (`get/api/voice-workspace-numbers/sid/preview.response.200.preview.alreadyImported`; boolean, optional)

### 400

Invalid number or assistant

### 401

Sign in required

### 403

Workspace access or feature disabled

### 404

Number not in workspace

### 409

Conflicting configuration

### 412

Integration configuration required

### 500

Unexpected error

### 502

Voice provider rejected request

### 503

Provider or database unavailable


Source: https://developer.channelautomations.com/api/get-api-voice-workspace-numbers-sid-preview/index.md
